### Constructor

# Gsk InsetShadowNodenew

#### Declaration [src]

    GskRenderNode*
    gsk_inset_shadow_node_new (
      const GskRoundedRect* outline,
      const GdkRGBA* color,
      float dx,
      float dy,
      float spread,
      float blur_radius
    )

#### Description [src]

Creates a `GskRenderNode` that will render an inset shadow into the box given by `outline`.

#### Parameters

`outline`

  Type: `GskRoundedRect`

  Outline of the region containing the shadow.

  The data is owned by the caller of the function.

`color`

  Type: `GdkRGBA`

  Color of the shadow.

  The data is owned by the caller of the function.

`dx`

  Type: `float`

  Horizontal offset of shadow.

`dy`

  Type: `float`

  Vertical offset of shadow.

`spread`

  Type: `float`

  How far the shadow spreads towards the inside.

`blur_radius`

  Type: `float`

  How much blur to apply to the shadow.

#### Return value

Type: `GskInsetShadowNode`

A new `GskRenderNode`

The caller of the function takes ownership of the data, and is responsible for freeing it.